strcasestr(3)

NAME
strcasestr - string case-insensitive search substring

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#define _GNU_SOURCE  // See feature_test_macros(7)
#include <string.h>

char *strcasestr(const char *haystack, const char *needle);

DESCRIPTION
strcasestr() is like strstr(), but ignores the case of both arguments.

RETURN VALUE
See strstr(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe locale

STANDARDS
GNU.

HISTORY
GNU.

SEE ALSO
string(3), strstr(3)